Bug 134846 - Zip drive mount requires root permission
Summary: Zip drive mount requires root permission
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-06 18:18 UTC by victor lorenz
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 12:35:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description victor lorenz 2004-10-06 18:18:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040930

Description of problem:
When requesting a mount of zip drive get msg. "requires root
permission". Switching to terminal mode and SU then issuing mount
command works. (As does umount in this mode.)

Version-Release number of selected component (if applicable):
kdebase 3.3.0-7

How reproducible:
Always

Steps to Reproduce:
1.Insert zip disc in drive
2.Attempt to mount
3.
    

Additional info:

Comment 1 Ngo Than 2004-10-07 13:35:13 UTC
i think it's pam problem here. reassign to correct component

Comment 2 Tomas Mraz 2004-10-07 14:20:05 UTC
What's the mount point of your zip drive?


Comment 3 Tomas Mraz 2004-10-07 14:20:47 UTC
Please show me the relevant line from your /etc/fstab file.


Comment 4 Tomas Mraz 2004-10-11 12:23:24 UTC
This is a problem with udev - the zip mount device isn't there for
pam_console to change ownership if the zip diskette isn't inserted
into the drive during reboot.

Reassigning.


Comment 6 Harald Hoyer 2004-10-11 13:18:35 UTC
well not much I can do about that... there is no /dev/zip in
/etc/security/console.perms
otherwise one could create a symlink to /dev/zip with a udev rule and
pam_console would do the rest

btw, victor, could you please post the output of:
# udevinfo -a -p `udevinfo -q path -n /dev/hdb`

Comment 7 victor lorenz 2004-10-11 13:46:25 UTC
udevinfo -a -p 'udevinfo' -q 'path' -n '/dev/hdb'
device not found in database

(if this is correct command line??)

Comment 8 Harald Hoyer 2004-10-11 14:16:34 UTC
try:
# udevinfo -a -p $(udevinfo -q 'path' -n '/dev/hda')                 
           


Comment 9 Harald Hoyer 2004-10-11 14:17:31 UTC
oops... hdb of course... you missed some "`" in comment #7
# udevinfo -a -p $(udevinfo -q 'path' -n '/dev/hdb')

Comment 10 victor lorenz 2004-10-11 23:27:00 UTC
$ udevinfo -a -p $(udevinfo -q 'path' -n '/dev/hdb')
couldn't get the class device


Comment 11 Harald Hoyer 2004-10-12 08:07:18 UTC
try to mount a zip disk as root, then retry, please

Comment 12 Harald Hoyer 2004-10-14 15:52:17 UTC
/dev/zip needs to be in /etc/security/console.perms
$ rpm -qf /etc/security/console.perms
pam-0.77-61


Comment 13 Tomas Mraz 2004-10-19 12:35:37 UTC
Done in pam-0.77-62. However I'm not convinced it will help.



Note You need to log in before you can comment on or make changes to this bug.